NX Open C++ Reference Guide
|
Represents an probe start of engage Builder
To create a new instance of this class, use CAM::MoveCollection::CreateTurnProbeClearanceBuilder
Created in NX8.5.1.
More...
Public Types | |
enum | AxialPlaneModes { AxialPlaneModesNone, AxialPlaneModesPoint, AxialPlaneModesDistance } |
The axial plane mode options Created in NX8.5.1. More... | |
enum | RadialPlaneModes { RadialPlaneModesNone, RadialPlaneModesPoint, RadialPlaneModesDistance } |
The radial plane mode options Created in NX8.5.1. More... | |
![]() | |
enum | Feed { FeedMotion, FeedCustom } |
the feed Type More... | |
enum | Motion { MotionRapid = 1, MotionEngage, MotionCut, MotionStepover, MotionRetract, MotionApproach, MotionTraversal, MotionDeparture, MotionReturn, MotionFirstCut } |
the motion Type More... | |
Public Member Functions | |
NXOpen::CAM::TurnProbeClearanceBuilder::AxialPlaneModes | AxialPlaneMode () |
Returns the axial plane mode Created in NX8.5.1. | |
NXOpen::Point * | AxialPlanePoint () |
Returns the axial plane point Created in NX8.5.1. | |
double | AxialPlaneValue () |
Returns the axial plane value Created in NX8.5.1. | |
NXOpen::CAM::TurnProbeClearanceBuilder::RadialPlaneModes | RadialPlaneMode () |
Returns the radial plane mode Created in NX8.5.1. | |
NXOpen::Point * | RadialPlanePoint () |
Returns the radial plane point Created in NX8.5.1. | |
double | RadialPlaneValue () |
Returns the radial plane value Created in NX8.5.1. | |
void | SetAxialPlaneMode (NXOpen::CAM::TurnProbeClearanceBuilder::AxialPlaneModes axialPlaneMode) |
Sets the axial plane mode Created in NX8.5.1. | |
void | SetAxialPlanePoint (NXOpen::Point *axialPlanePoint) |
Sets the axial plane point Created in NX8.5.1. | |
void | SetAxialPlaneValue (double axialPlaneValue) |
Sets the axial plane value Created in NX8.5.1. | |
void | SetRadialPlaneMode (NXOpen::CAM::TurnProbeClearanceBuilder::RadialPlaneModes radialPlaneMode) |
Sets the radial plane mode Created in NX8.5.1. | |
void | SetRadialPlanePoint (NXOpen::Point *radialPlanePoint) |
Sets the radial plane point Created in NX8.5.1. | |
void | SetRadialPlaneValue (double radialPlaneValue) |
Sets the radial plane value Created in NX8.5.1. | |
![]() | |
double | FeedRate () |
Returns the feed rate Created in NX5.0.0. | |
NXOpen::CAM::MoveBuilder::Feed | FeedType () |
Returns the feed type Created in NX5.0.0. | |
NXOpen::CAM::FeedRateUnit | FeedUnit () |
Returns the feed unit Created in NX7.5.0. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (const NXString ¶meterName) |
Returns the custom parameter with the given name. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (const char *parameterName) |
Returns the custom parameter with the given name. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (int index) |
Returns the parameter at the input index. | |
NXOpen::CAM::MoveBuilder::Motion | MotionType () |
Returns the motion type Created in NX5.0.0. | |
int | NumberOfUserParameters () |
Returns the number of user parameters Created in NX8.0.0. | |
bool | ProtectedMove () |
Returns the protected move status Created in NX5.0.0. | |
void | SetFeedRate (double feedRate) |
Sets the feed rate Created in NX5.0.0. | |
void | SetFeedType (NXOpen::CAM::MoveBuilder::Feed feedType) |
Sets the feed type Created in NX5.0.0. | |
void | SetFeedUnit (NXOpen::CAM::FeedRateUnit unit) |
Sets the feed unit Created in NX7.5.0. | |
void | SetMotionType (NXOpen::CAM::MoveBuilder::Motion motionType) |
Sets the motion type Created in NX5.0.0. | |
void | SetParent (NXOpen::CAM::CAMObject *parent) |
Set parent Created in NX5.0.0. | |
void | SetProtectedMove (bool protectedMove) |
Sets the protected move status Created in NX5.0.0. | |
void | SetSibling (NXOpen::CAM::CAMObject *sibling) |
Set sibling Created in NX5.0.0. | |
void | SetSubopLabel (const NXString &subopLabel) |
Sets the subop label Created in NX8.5.1. | |
void | SetSubopLabel (const char *subopLabel) |
Sets the subop label Created in NX8.5.1. | |
NXString | SubopLabel () |
Returns the subop label Created in NX8.5.1. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents an probe start of engage Builder
To create a new instance of this class, use CAM::MoveCollection::CreateTurnProbeClearanceBuilder
Created in NX8.5.1.
NXOpen::CAM::TurnProbeClearanceBuilder::AxialPlaneModes NXOpen::CAM::TurnProbeClearanceBuilder::AxialPlaneMode | ( | ) |
Returns the axial plane mode
Created in NX8.5.1.
License requirements : None
NXOpen::Point* NXOpen::CAM::TurnProbeClearanceBuilder::AxialPlanePoint | ( | ) |
Returns the axial plane point
Created in NX8.5.1.
License requirements : None
double NXOpen::CAM::TurnProbeClearanceBuilder::AxialPlaneValue | ( | ) |
Returns the axial plane value
Created in NX8.5.1.
License requirements : None
NXOpen::CAM::TurnProbeClearanceBuilder::RadialPlaneModes NXOpen::CAM::TurnProbeClearanceBuilder::RadialPlaneMode | ( | ) |
Returns the radial plane mode
Created in NX8.5.1.
License requirements : None
NXOpen::Point* NXOpen::CAM::TurnProbeClearanceBuilder::RadialPlanePoint | ( | ) |
Returns the radial plane point
Created in NX8.5.1.
License requirements : None
double NXOpen::CAM::TurnProbeClearanceBuilder::RadialPlaneValue | ( | ) |
Returns the radial plane value
Created in NX8.5.1.
License requirements : None
void NXOpen::CAM::TurnProbeClearanceBuilder::SetAxialPlaneMode | ( | NXOpen::CAM::TurnProbeClearanceBuilder::AxialPlaneModes | axialPlaneMode | ) |
Sets the axial plane mode
Created in NX8.5.1.
License requirements : cam_base ("CAM BASE")
axialPlaneMode | the axial plane mode value |
void NXOpen::CAM::TurnProbeClearanceBuilder::SetAxialPlanePoint | ( | NXOpen::Point * | axialPlanePoint | ) |
Sets the axial plane point
Created in NX8.5.1.
License requirements : cam_base ("CAM BASE")
axialPlanePoint | the axial plane point value |
void NXOpen::CAM::TurnProbeClearanceBuilder::SetAxialPlaneValue | ( | double | axialPlaneValue | ) |
Sets the axial plane value
Created in NX8.5.1.
License requirements : cam_base ("CAM BASE")
axialPlaneValue | the axial plane value value |
void NXOpen::CAM::TurnProbeClearanceBuilder::SetRadialPlaneMode | ( | NXOpen::CAM::TurnProbeClearanceBuilder::RadialPlaneModes | radialPlaneMode | ) |
Sets the radial plane mode
Created in NX8.5.1.
License requirements : cam_base ("CAM BASE")
radialPlaneMode | the radial plane mode value |
void NXOpen::CAM::TurnProbeClearanceBuilder::SetRadialPlanePoint | ( | NXOpen::Point * | radialPlanePoint | ) |
Sets the radial plane point
Created in NX8.5.1.
License requirements : cam_base ("CAM BASE")
radialPlanePoint | the radial plane point value |
void NXOpen::CAM::TurnProbeClearanceBuilder::SetRadialPlaneValue | ( | double | radialPlaneValue | ) |
Sets the radial plane value
Created in NX8.5.1.
License requirements : cam_base ("CAM BASE")
radialPlaneValue | the radial plane value value |